// Engine variables
//Dynon EMS vars
int16_t  OilP;                  // -100  invalid
int16_t  OilT;                  // -1000 invalid
uint16_t RpmL;
uint16_t RpmR;
int16_t  Map;                   // -100  invalid
int16_t  FuelF1;                // -100  invalid
int16_t  FuelF2;                // -100  invalid
int16_t  FuelP;                 // -100  invalid
int16_t  FuelL;                 // -100  invalid
int16_t  FuelR;                 // -100  invalid
int16_t  FuelRem;               // -100  invalid
int16_t  Volts1;                // -100  invalid
int16_t  Volts2;                // -100  invalid
int16_t  Amps;                  // -1000 invalid
uint32_t HobbsT;
uint32_t TachT;
int16_t  TCpl[14];              // -1000 invalid HOLDS CHT AND EGT IN CELSIUS
/*
TCpl array
0 (CHT6)
1 (EGT6)
2 (CHT5)
3 (EGT5)
4 (CHT4)  P6/18
5 (EGT4)  P7/19
6 (CHT3)  P8/20
7 (EGT3)  P9/21
8 (CHT2)  P10/22
9 (EGT2) P11/23
10 (CHT1) P12/24
11 (EGT1) P13/25
12 (???)
13 (???)  
*/
int16_t  GpIn[13];              // -10000invalid HOLDS GP INPUTS
/*
TCpl array
1 (CHT6)
2 (EGT6)
3 (CHT5)
4 (EGT5)
5 (CHT4)  P6/18
6 (EGT4)  P7/19
7 (CHT3)  P8/20
8 (EGT3)  P9/21
9 (CHT2)  P10/22
10 (EGT2) P11/23
11 (CHT1) P12/24
12 (EGT1) P13/25
13 (???)
14 (???)  
*/
int8_t   CtctIn[16];            // -1    invalid HOLDS CONTACT INPUTS (**NOT USED IN SKYVIEW**)
int16_t  PercentPwr;            // -100  invalid
char     LeanState;
const float slipSmoothingAlpha 	= 0.5f;  //1 = max smoothing, 0.01 no smoothing.
float    SmoothedLateralG;
int16_t  Slip;
uint16_t ballSize				= 34; //for Slip Filter
int16_t  FlightPath			= -1000;
int16_t  GroundTrack		= -1000;
int16_t  GroundSpeed    	= -1;
int16_t  DriftAngle     	= -1000;


// ADARHS variables
//
int16_t  Pitch;
int16_t  Roll;
int16_t  Heading;    		
int16_t  AirSpeed;
int32_t  PressAlt; //Skyview uses +/- then 00000 to 99999, altitude in units of feet, at a baro setting of 29.92" Hg, positive meaning altitude is above sea-level. XXXXXX when not available.
int32_t  Altitude;   		// only D10A uses Altitude directly
int16_t  TurnRate;
int16_t  LatAccel;
int16_t  VertAccel 	= 10;
int16_t  AOA;
int16_t  VertSpeed; //+/- then 000 to 999, feet/minute / 10 (42 = 420 feet per minute), positive meaning the aircraft is climbing. XXX when not available.
int16_t  OAT;
int16_t  TASpeed;          	
int16_t  Baro      	= 242; 	//000 to 400. Baro setting in inHg * 100, offset by 27.50 inHg. Total range is 27.50 inHg to 31.50 inHg. (242 = 29.92 inHg). XXX when not available.
int32_t  DensAlt;          	
int16_t  WindDir   	= 0;   
int16_t  WindSpeed 	= 0;
// System variables
int16_t  HdgBug     = -1;
int16_t  AltBug     = -10000;
int16_t  ASBug      = -1;
int16_t  VSBug      = -1000;
int16_t  Course     = -1;
uint8_t  CDSTyp;
uint8_t  CDSPor;
uint8_t  CDScal;
int16_t  CDDefl     = -100;
int16_t  GlideS     = -100;
uint8_t  APEngd;
uint8_t  APRMod;
uint8_t  APPMod;
int16_t  APRFor;
int16_t  APRPos     = -10000;
uint8_t  APRSlp;
int16_t  APPFor;
int16_t  APPPos     = -10000;
uint8_t  APPSlp;
int16_t  APYFor;
int16_t  APYPos     = -10000;
uint8_t  APYSlp;
uint8_t  XPStat;
uint8_t  XPRep;
uint8_t  XPID;
uint16_t XPCode     = 00000;