
void drawMaster()
{
  sprite.setTextColor(color1,TFT_BLACK);
  sprite.setTextColor(TFT_WHITE);
  sprite.setTextDatum(0);
  sprite.setFreeFont(&din8);

  //TFT_BLACKground, lines and checklist divider
  sprite.fillSprite(TFT_BLACK);

  //buttons and icons
  sprite.fillRect(0,144,112,40,cDarkGray); //1st button
  sprite.drawString("CHECKLIST",24, 154);
  sprite.setTextColor(cIconGray);
  sprite.fillRect(113,144,112,40,cDarkGray); //2st button
  sprite.drawString("EMS",156, 154);
  sprite.setTextColor(TFT_WHITE);
  sprite.fillRoundRect(226,140,188,48,4,cRed); //Emergency button
  sprite.setTextDatum(4);
  sprite.setFreeFont(&din12);
  sprite.drawString("EMERGENCY",SCREEN_X/2, 158);

  sprite.setTextColor(cIconGray);
  sprite.setTextDatum(2);
  sprite.setFreeFont(&din8);
  sprite.fillRect(415,144,112,40,cDarkGray); //4st button
  sprite.drawString("EFIS",488, 154);
  sprite.fillRect(528,144,112,40,cDarkGray); //5st button
  sprite.drawString("SETTINGS",SCREEN_X-24, 154);

  //sprite.drawLine(0,76,SCREEN_X,76,cDarkBlue);



  if (hasTemp) {
    sprite.setTextDatum(2);
    sprite.setFreeFont(&digit24); //18
    sprite.setTextColor(cGreen);
    //Temp Monitoring
    sensor0.getTemperatureF(&temperature);
    if (temperature <= 32) { //refreshes the temp sensor when it starts 
      sensor0.getTemperatureF(&temperature);
      //Serial.println(temperature);
    }
    //Serial.println(temperature);
    if (temperature>95) {
      sprite.setTextColor(cRed);
    } else if (temperature>80) {
      sprite.setTextColor(cYellow);
    } else if (temperature<64) {
      sprite.setTextColor(cDarkBlue);
    }
    sprite.drawFloat(temperature, 0,SCREEN_X-20,8);
    sprite.setFreeFont(&din8);
    sprite.setTextColor(TFT_WHITE);
    sprite.drawString("F",SCREEN_X-8, 16);
    sprite.setTextColor(cIconGray);
    sprite.drawString("CABIN TEMP",SCREEN_X-8, 48);
  }
  

  //Lidar
  if (hasLidar) {//} && sFeet<30) {
    sprite.setFreeFont(&digit30); //18
    if (sFeet <= 10 && sFeet > 4) { 
      sprite.setTextColor(cYellow); 
    } else {
      sprite.setTextColor(cDarkBlue); 
    }
    sprite.drawNumber(sFeet,SCREEN_X-24,SCREEN_Y-108); //76
    sprite.setFreeFont(&din8);
    sprite.setTextColor(cIconGray);
    sprite.drawString("LIDAR",SCREEN_X-8,SCREEN_Y-60);
    sprite.setTextColor(TFT_WHITE);
    sprite.drawString("FT",SCREEN_X-8,SCREEN_Y-80);
  }
  
  //Checklist
  sprite.setTextDatum(0);
  sprite.setFreeFont(&din24);
  sprite.setTextColor(TFT_WHITE);

  //check if network is connected
  int res = 1;
  if (res) {
    sprite.fillCircle(SCREEN_X-16, SCREEN_Y/2-16, 4, cGreen);
  } else {
    sprite.fillCircle(SCREEN_X-16, SCREEN_Y/2-16, 4, cIconGray);
  }
  sprite.setTextDatum(0);
  switch (curCheck) {
    case 0:
      totItem = totPreflight;
      taskMsg = String(cl_preflight[curItem]);
      //check for alarm
      if (taskMsg.indexOf('@') > 0) {
        taskMsg = taskMsg.substring(0,taskMsg.indexOf('@'));
        //Run checks for auto alarm
      }
      if (taskMsg.indexOf('*') > 0) {
        sprite.drawString(taskMsg.substring(0,taskMsg.indexOf('*')),16,40);
        sprite.drawString(taskMsg.substring(taskMsg.indexOf('*')+1),16,88);
      } else {
        sprite.drawString(taskMsg,16,SCREEN_Y/2-24);
      }  
      break;
    case 1:
      totItem = totStartCold;
      taskMsg = String(cl_startCold[curItem]);
      if (taskMsg.indexOf('*') > 0) {
        sprite.drawString(taskMsg.substring(0,taskMsg.indexOf('*')),16,40);
        sprite.drawString(taskMsg.substring(taskMsg.indexOf('*')+1),16,88);
      } else {
        sprite.drawString(taskMsg,16,SCREEN_Y/2-24);
      }  
      break;   
    case 2:
      totItem = totStartHot;
      taskMsg = String(cl_startHot[curItem]);
      if (taskMsg.indexOf('*') > 0) {
        sprite.drawString(taskMsg.substring(0,taskMsg.indexOf('*')),16,40);
        sprite.drawString(taskMsg.substring(taskMsg.indexOf('*')+1),16,88);
      } else {
        sprite.drawString(taskMsg,16,SCREEN_Y/2-24);
      }  
      break; 
    case 3:
      totItem = totBeforeTaxi;
      taskMsg = String(cl_beforeTaxi[curItem]);
      //check for alarm
      if (taskMsg.indexOf('@') > 0) {
        taskMsg = taskMsg.substring(0,taskMsg.indexOf('@'));
        //Run checks for auto alarm
      }
      if (taskMsg.indexOf('*') > 0) {
        sprite.drawString(taskMsg.substring(0,taskMsg.indexOf('*')),16,40);
        sprite.drawString(taskMsg.substring(taskMsg.indexOf('*')+1),16,88);
      } else {
        sprite.drawString(taskMsg,16,SCREEN_Y/2-24);
      }  
      break;
    case 4:
      totItem = totRunup;
      taskMsg = String(cl_runup[curItem]);
      if (taskMsg.indexOf('*') > 0) {
        sprite.drawString(taskMsg.substring(0,taskMsg.indexOf('*')),16,40);
        sprite.drawString(taskMsg.substring(taskMsg.indexOf('*')+1),16,88);
      } else {
        sprite.drawString(taskMsg,16,SCREEN_Y/2-24);
      }  
      break;
    case 5:
      totItem = totBeforeTakeoff;
      taskMsg = String(cl_beforeTakeoff[curItem]);
      if (taskMsg.indexOf('*') > 0) {
        sprite.drawString(taskMsg.substring(0,taskMsg.indexOf('*')),16,40);
        sprite.drawString(taskMsg.substring(taskMsg.indexOf('*')+1),16,88);
      } else {
        sprite.drawString(taskMsg,16,SCREEN_Y/2-24);
      }  
      break;
    case 6:
      totItem = totAfterTakeoff;
      taskMsg = String(cl_afterTakeoff[curItem]);
      if (taskMsg.indexOf('*') > 0) {
        sprite.drawString(taskMsg.substring(0,taskMsg.indexOf('*')),16,40);
        sprite.drawString(taskMsg.substring(taskMsg.indexOf('*')+1),16,88);
      } else {
        sprite.drawString(taskMsg,16,SCREEN_Y/2-24);
      }  
      break;  
    case 7:
      totItem = totCruise;
      taskMsg = String(cl_cruise[curItem]);
      if (taskMsg.indexOf('*') > 0) {
        sprite.drawString(taskMsg.substring(0,taskMsg.indexOf('*')),16,40);
        sprite.drawString(taskMsg.substring(taskMsg.indexOf('*')+1),16,88);
      } else {
        sprite.drawString(taskMsg,16,SCREEN_Y/2-24);
      }  
      break; 
    case 8:
      totItem = totDescent;
      taskMsg = String(cl_descent[curItem]);
      if (taskMsg.indexOf('*') > 0) {
        sprite.drawString(taskMsg.substring(0,taskMsg.indexOf('*')),16,40);
        sprite.drawString(taskMsg.substring(taskMsg.indexOf('*')+1),16,88);
      } else {
        sprite.drawString(taskMsg,16,SCREEN_Y/2-24);
      }  
      break; 
    case 9:
      totItem = totPattern;
      taskMsg = String(cl_pattern[curItem]);
      if (taskMsg.indexOf('*') > 0) {
        sprite.drawString(taskMsg.substring(0,taskMsg.indexOf('*')),16,40);
        sprite.drawString(taskMsg.substring(taskMsg.indexOf('*')+1),16,88);
      } else {
        sprite.drawString(taskMsg,16,SCREEN_Y/2-24);
      }  
      break; 
    case 10:
      totItem = totAfterLanding;
      taskMsg = String(cl_afterLanding[curItem]);
      if (taskMsg.indexOf('*') > 0) {
        sprite.drawString(taskMsg.substring(0,taskMsg.indexOf('*')),16,40);
        sprite.drawString(taskMsg.substring(taskMsg.indexOf('*')+1),16,88);
      } else {
        sprite.drawString(taskMsg,16,SCREEN_Y/2-24);
      }  
      break;
    case 11:
      totItem = totShutdown;
      taskMsg = String(cl_shutdown[curItem]);
      //check for alarm
      if (taskMsg.indexOf('@') > 0) {
        taskMsg = taskMsg.substring(0,taskMsg.indexOf('@'));
        //Run checks for auto alarm
      }
      if (taskMsg.indexOf('*') > 0) {
        sprite.drawString(taskMsg.substring(0,taskMsg.indexOf('*')),16,40);
        sprite.drawString(taskMsg.substring(taskMsg.indexOf('*')+1),16,88);
      } else {
        sprite.drawString(taskMsg,16,SCREEN_Y/2-24);
      }  
      break;
    case 12:
      totItem = totEmergency1;
      taskMsg = String(cl_emergency1[curItem]);
      //check for alarm
      if (taskMsg.indexOf('@') > 0) {
        taskMsg = taskMsg.substring(0,taskMsg.indexOf('@'));
        //Run checks for auto alarm
      }
      if (taskMsg.indexOf('*') > 0) {
        sprite.drawString(taskMsg.substring(0,taskMsg.indexOf('*')),16,40);
        sprite.drawString(taskMsg.substring(taskMsg.indexOf('*')+1),16,88);
      } else {
        sprite.drawString(taskMsg,16,SCREEN_Y/2-24);
      }  
      break;
    case 13:
      totItem = totEmergency2;
      taskMsg = String(cl_emergency2[curItem]);
      //check for alarm
      if (taskMsg.indexOf('@') > 0) {
        taskMsg = taskMsg.substring(0,taskMsg.indexOf('@'));
        //Run checks for auto alarm
      }
      if (taskMsg.indexOf('*') > 0) {
        sprite.drawString(taskMsg.substring(0,taskMsg.indexOf('*')),16,40);
        sprite.drawString(taskMsg.substring(taskMsg.indexOf('*')+1),16,88);
      } else {
        sprite.drawString(taskMsg,16,SCREEN_Y/2-24);
      }  
      break;
    case 14:
      totItem = totEmergency3;
      taskMsg = String(cl_emergency3[curItem]);
      //check for alarm
      if (taskMsg.indexOf('@') > 0) {
        taskMsg = taskMsg.substring(0,taskMsg.indexOf('@'));
        //Run checks for auto alarm
      }
      if (taskMsg.indexOf('*') > 0) {
        sprite.drawString(taskMsg.substring(0,taskMsg.indexOf('*')),16,40);
        sprite.drawString(taskMsg.substring(taskMsg.indexOf('*')+1),16,88);
      } else {
        sprite.drawString(taskMsg,16,SCREEN_Y/2-24);
      }  
      break;
    case 15:
      totItem = totEmergency4;
      taskMsg = String(cl_emergency4[curItem]);
      //check for alarm
      if (taskMsg.indexOf('@') > 0) {
        taskMsg = taskMsg.substring(0,taskMsg.indexOf('@'));
        //Run checks for auto alarm
      }
      if (taskMsg.indexOf('*') > 0) {
        sprite.drawString(taskMsg.substring(0,taskMsg.indexOf('*')),16,40);
        sprite.drawString(taskMsg.substring(taskMsg.indexOf('*')+1),16,88);
      } else {
        sprite.drawString(taskMsg,16,SCREEN_Y/2-24);
      }  
      break;
    case 16:
      totItem = totEmergency5;
      taskMsg = String(cl_emergency5[curItem]);
      //check for alarm
      if (taskMsg.indexOf('@') > 0) {
        taskMsg = taskMsg.substring(0,taskMsg.indexOf('@'));
        //Run checks for auto alarm
      }
      if (taskMsg.indexOf('*') > 0) {
        sprite.drawString(taskMsg.substring(0,taskMsg.indexOf('*')),16,40);
        sprite.drawString(taskMsg.substring(taskMsg.indexOf('*')+1),16,88);
      } else {
        sprite.drawString(taskMsg,16,SCREEN_Y/2-24);
      }  
      break;
    case 17:
      totItem = totEmergency6;
      taskMsg = String(cl_emergency6[curItem]);
      //check for alarm
      if (taskMsg.indexOf('@') > 0) {
        taskMsg = taskMsg.substring(0,taskMsg.indexOf('@'));
        //Run checks for auto alarm
      }
      if (taskMsg.indexOf('*') > 0) {
        sprite.drawString(taskMsg.substring(0,taskMsg.indexOf('*')),16,40);
        sprite.drawString(taskMsg.substring(taskMsg.indexOf('*')+1),16,88);
      } else {
        sprite.drawString(taskMsg,16,SCREEN_Y/2-24);
      }  
      break;
    case 18:
      totItem = totEmergency7;
      taskMsg = String(cl_emergency7[curItem]);
      //check for alarm
      if (taskMsg.indexOf('@') > 0) {
        taskMsg = taskMsg.substring(0,taskMsg.indexOf('@'));
        //Run checks for auto alarm
      }
      if (taskMsg.indexOf('*') > 0) {
        sprite.drawString(taskMsg.substring(0,taskMsg.indexOf('*')),16,40);
        sprite.drawString(taskMsg.substring(taskMsg.indexOf('*')+1),16,88);
      } else {
        sprite.drawString(taskMsg,16,SCREEN_Y/2-24);
      }  
      break;
    case 19:
      totItem = totEmergency8;
      taskMsg = String(cl_emergency8[curItem]);
      //check for alarm
      if (taskMsg.indexOf('@') > 0) {
        taskMsg = taskMsg.substring(0,taskMsg.indexOf('@'));
        //Run checks for auto alarm
      }
      if (taskMsg.indexOf('*') > 0) {
        sprite.drawString(taskMsg.substring(0,taskMsg.indexOf('*')),16,40);
        sprite.drawString(taskMsg.substring(taskMsg.indexOf('*')+1),16,88);
      } else {
        sprite.drawString(taskMsg,16,SCREEN_Y/2-24);
      }  
      break;
  }
  if (curCheck==2) { //change title color if HOT START or EMERGENCY
    sprite.setTextColor(cYellow);
  } else if (curCheck>11) {
    sprite.setTextColor(cRed);
  } else {
    sprite.setTextColor(cDarkBlue);
  }
  //Checklist info
  sprite.setTextDatum(0);
  sprite.setFreeFont(&din12);
  sprite.drawString(String(checklists[curCheck])+" ( "+String(curItem+1)+" / "+String(totItem)+" )",16,16);

  //sprite.pushSprite(0,0);
  lcd_PushColors_rotated_90(0, 0, 640, 180, (uint16_t*)sprite.getPointer());
  
}

