const char *SerialNumber = "S3L23110001"; // This will be displayed on unit 
// Goes into preferences
int numCyl = 4;
bool tempF = 1; //1 means temps in F, 0 temps in C
/* ENGINE options
1-Lycoming IO-360 180HP
*/
int engine = 1;
int sensorFt = 2; //sensor is mounted 2ft from the ground

//Ranges for gauges format: maxRed, maxYellow, maxGreen, minYellow, minRed
//DATA FROM DYNON INSTALLATION MANUAL "DYNON EMS Serial Data Format"
//RANGE DATA file from https://forum.flydynon.com/threads/starting-setups-from-dynon-for-major-engine-types.11579/
/* ORIGINAL SETTING
int gMap[] = {380, 360}; //0 to 600. Manifold Pressure in 0.1 inHg. 299 = 29.9 inHg. ** UPDATE IT WITH REAL DATA
int gOilP[] = {95, 86, 35, 25, 0}; 
int gOilT[] = {240, 221, 165, 80, 0}; 
int gVolts[] = {146, 136, 120, 110, 100}; //000 to 360 in 1/10th Volts. 284 = 28.4volts.
int gFuelRem[] = {40, 50, 60, 1}; //000 to 999 or XXX. Fuel level in 1/10th Gallons. 60 = 6.0gal
int gFuelP[] = {350, 300, 200, 150, 0}; //000 to 999 or XXX. Fuel pressure in 1/10th PSI. 274 = 27.4 PSI.
int gRPM[] = {2750, 2600}; 
int gCHT[] = {441, 436, 336, 50}; //Numbers come in Celsius - this table is already converted to F **get numbers from Dynon
int gEGT[] = {1401, 1300, 1150, 35 };  //Numbers come in Celsius - this table is already converted to F **get numbers from Dynon
*/

int gMap[] = {380, 360}; //0 to 600. Manifold Pressure in 0.1 inHg. 299 = 29.9 inHg. ** UPDATE IT WITH REAL DATA
int gOilP[] = {106, 105, 55, 20, 0}; 
int gOilT[] = {113, 112, 104, 60, 0}; 
int gVolts[] = {146, 144, 128, 110, 100}; //000 to 360 in 1/10th Volts. 284 = 28.4volts.
int gFuelRem[] = {40, 50, 60, 1}; //000 to 999 or XXX. Fuel level in 1/10th Gallons. 60 = 6.0gal
int gFuelP[] = {350, 300, 200, 150, 0}; //000 to 999 or XXX. Fuel pressure in 1/10th PSI. 274 = 27.4 PSI.
int gRPM[] = {2750, 2600}; 
int gCHT[] = {232, 204, 203, 38}; //Numbers come in Celsius - this table is already converted to F **get numbers from Dynon
int gEGT[] = {787, 761, 760, 1 };  //Numbers come in Celsius - this table is already converted to F **get numbers from Dynon

//ALARMS are set with the '@' at the end of the checklist task
//CHECKLIST
int totChecklists = 20; //includes 8 Emergency checklists
char *checklists[] = {
  "PREFLIGHT", 
  "START COLD", 
  "START HOT", 
  "BEFORE TAXI",
  "RUNUP",
  "BEFORE TAKEOFF",
  "AFTER TAKEOFF",
  "CRUISE",
  "DESCENT",
  "PATTERN",
  "AFTER LANDING",
  "SHUTDOWN",
  "EMERGENCY ENGINE OUT", 
  "EMERGENCY ENGINE ROUGHNESS",
  "EMERGENCY ENGINE FIRE ON START", 
  "EMERGENCY ENGINE FIRE IN FLIGHT",
  "EMERGENCY FUSELAGE FIRE ON GROUND",
  "EMERGENCY FUSELAGE FIRE IN FLIGHT",
  "EMERGENCY ELECTRICAL FIRE",
  "EMERGENCY ALTERNATOR FAILURE"
};

int totPreflight = 10;
char *cl_preflight[] = {
  "SEAT BELTS", //"SEAT BELTS MAX OIL TEMP 225*INCREASE SPEED DECREASE POWER", 
  "PASSENGER BRIEF", 
  "AUTOPILOT ON",
  "BACKUP BATTERY ON",
  "RIGHT EIS/MAG ON",
  "MASTER ON",
  "AVIONICS ON",
  "RADIO CHECK",
  "BRAKES TEST",
  "ALL AROUND CLEARED"
};

int totStartCold = 10;
char *cl_startCold[] = {
  "MIXTURE FULL RICH", 
  "PROPELLER FULL FORWARD", 
  "THROTTLE OPEN 1/2IN",
  "FUEL PUMP 3s",
  "EIS/MAGS(BOTH) ON",
  "CLEAR PROP",
  "START ENGINE@",        //6 - RpmL>0
  "THROTTLE TO IDLE@",    //7 - RpmL>500 && <1000
  "OIL PRESSURE CHECK",
  "ALTERNATOR FIELD ON"
};

int totStartHot = 11;
char *cl_startHot[] = {
  "MIXTURE CUT-OFF", 
  "PROPELLER FULL FORWARD", 
  "THROTTLE 1/2in OPEN",
  "FUEL PUMP OFF",
  "EIS/MAGS(BOTH) ON",
  "CLEAR PROP",
  "START ENGINE@",        //6 - RpmL>0
  "ON START: MIXTURE FULL RICH",
  "THROTTLE TO IDLE@",    //8 - RpmL>500 && <1000
  "OIL PRESSURE CHECK",
  "ALTERNATOR FIELD ON"
};

int totBeforeTaxi = 8;
char *cl_beforeTaxi[] = {
  "LISTEN ATIS", 
  "RADIO SET", 
  "FLIGHT PLAN UPLOADED",
  "CHECK FUEL QUANTITY",
  "LIGHT AS REQUIRED",
  "MIXTURE LEAN",
  "BRAKES TEST",
  "INREACH ON"
};

int totRunup = 16;
char *cl_runup[] = { 
  "FLIGHT CONTROLS FREE AND CORRECT", 
  "ELEVATOR TRIM 1in PER CREW", 
  "MIXTURE RICH", 
  "THROTTLE 1800 RPM@",     //3 - RpmL>1800
  "INSTRUMENTS GREEN", 
  "AMPS CHARGING", 
  "EIS (MAGS) 300/50 DROP MAX", 
  "TO CLEAR PLUGS (RUN FOR 30s)",
  "THROTTLE 2000RPM &*MIXTURE AGRESSIVE LEAN",
  "PROPELLER CHECK", 
  "IDLE CHECK", 
  "THROTTLE 1000 RPM",      //11 - RpmL>500 && <1000
  "BAROMETER SET", 
  "HEADING SET", 
  "EMERGENCY PLAN", 
  "PITOT HEAT AS REQUIRED"
};

int totBeforeTakeoff = 7;
char *cl_beforeTakeoff[] = { 
  "CABIN DOOR CLOSED", 
  "LIGHTS AS REQUIRED", 
  "SEAT BELTS ON", 
  "FUEL PUMP ON", 
  "AIRSPEED ALIVE@",    //4 - AirSpeed>25
  "INSTRUMENTS GREEN", 
  "ROTATE 75KTS@"    //6 - AirSpeed>72
};

int totAfterTakeoff = 5;
char *cl_afterTakeoff[] = { 
  "(AFTER 500ft) THROTTLE 25in@",     //0 - Altitude>500 && Map>=25
  "PROPELLER 2500 RPM@",      //1 - RpmL>=2500
  "FUEL PUMP OFF", 
  "CLIMB 90-100KTS@",     //3 - AirSpeed>90
  "CHECK GAUGES"
};

int totCruise = 9;
char *cl_cruise[] = { 
  "THROTTLE 18-26in@",           //0 - Map>180 && Map<260
  "PROPELLER 2100-2700 RPM@",    //1  - RpmL>2100 && RpmL<27>00
  "EASY 24 SQUARED@",            //2  - RpmL>=2400 && RpmL<2500 ** Map>=240 && Map<250
  "~75% 2450 (12.3gph)", 
  "~65% 2350 (9.5gph)", 
  "MIXTURE LEAN", 
  "MAX CHT 400*INCREASE MIXTURE & SPEED@", //6  - RpmL>=2400 && RpmL<2500 ** Map>=240 && Map<250
  "MAX OIL TEMP 225*INCREASE SPEED DECREASE POWER@",  //7  - OilT>=225F/107C
  "OIL PRESSURE 55-95*DECREASE POWER, LAND ASAP@"  //8  - OilP between 55-95
};

int totDescent = 5;
char *cl_descent[] = { 
  "SEAT BELTS ON",  
  "LISTEN ATIS", 
  "RADIO SET",
  "MXTURE FULL RICH", 
  "THROTTLE 1700-1900 RPM@"     //4 - RpmL between 1700 and 1900
};

int totPattern = 8;
char *cl_pattern[] = {
  "SPEED 100KTS/19in@", //0 - AirSpeed <=100 and Map<=19
  "FUEL PUMP ON",
  "MIXTURE FULL RICH",
  "PROPELLER FORWARD",
  "LIGHTS AS REQUIRED",
  "BASE 90KTS", 
  "FINAL 85-80KTS@",   //6 - AirSpeed between 80 and 85, Altitude between 700 and 100
  "TOUCHDOWN 65-75KTS" //
};

int totAfterLanding = 3;
char *cl_afterLanding[] = { 
  "FUEL PUMP OFF", 
  "MIXTURE LEAN",
  "LIGHTS AS REQUIRED"
};

int totShutdown = 10;
char *cl_shutdown[] = { 
  "THROTTLE IDLE", 
  "MIXTURE CUTOFF",
  "LIGHTS/PITOT OFF",
  "CABIN HEAT/DEFROST OFF",
  "AVIONICS OFF",
  "ALT FIELD OFF",
  "TAKE PICTURE TACH & HOBBS",
  "MASTER OFF", 
  "BACKP BATTERY OFF", 
  "EIS (MAGS) OFF"
};

int totEmergency2 = 5;
char *cl_emergency2[] = { 
  "MIXTURE ADJUST", 
  "CHECK MAGNETOS", 
  "FUEL PUMP AS REQUIRED", 
  "CHECK GAUGES", 
  "LAND ASAP"
};

int totEmergency1 = 22;
char *cl_emergency1[] = { 
  "BEST GLIDER 80KTS", 
  "AP IAS 80KTS",
  "AP ALTITUDE OFF",
  "FIND PLACE TO LAND",
  "FUEL PUMP ON", 
  "THROTTLE FULL OPEN",
  "MIXTURE FULL RICH", 
  "STARTER ENGAGE",
  "CHECK GAUGES", 
  "IF PROBLEM PERSISTS:*SET TO SUITABLE FIELD", 
  "CHECK WIND DIRECTION",
  "SPIRAL TO 1000FT",
  "MAYDAY 121.5", 
  "TRANSPONDER 7700",
  "SEAT BELTS TIGHT", 
  "MASTER OFF",
  "BACKUP BATTERY OFF", 
  "EIS (MAGS) OFF", 
  "FUEL SHUTOFF ON", 
  "MIXTURE CUT OFF",
  "ELT ON", 
  "INREACH ON",
};

int totEmergency3 = 3;
char *cl_emergency3[] = { 
  "MIXTURE OFF", 
  "THROTTLE FULL OPEN", 
  "STARTER ENGAGED"
};

int totEmergency4 = 5;
char *cl_emergency4[] = {  
  "MIXTURE OFF", 
  "THROTTLE FULL OPEN", 
  "EIS (MAGS) OFF",
  "MASTER/BACKUP BATTERY OFF",
  "LAND ASAP"
};

int totEmergency5 = 5;
char *cl_emergency5[] = { 
  "MIXTURE OFF", 
  "THROTTLE CLOSED", 
  "MAGNETOS OFF", 
  "MASTER OFF", 
  "USE FIRE EXTINGUISHER"
};

int totEmergency6 = 6;
char *cl_emergency6[] = {   
  "REDUCE AIRSPEED", 
  "START EMERGENCY DESCENT", 
  "OXYGEN AS NEEDED", 
  "COCKPIT HEATER OFF", 
  "MASTER/BACKUP BATTERY OFF",
  "LAND ASAP"
};

int totEmergency7 = 2;
char *cl_emergency7[] = { 
  "MASTER OFF",  
  "LAND ASAP"
};

int totEmergency8 = 2;
char *cl_emergency8[] = { 
  "REDUCE ELECTRICAL LOADS", 
  "LAND ASAP"
};